package com.bytedance.android.livesdk.livesetting.hybrid;

import X.LeY;
import android.text.TextUtils;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_short_touch_type_priority")
public final class LynxCardPriority {
    @Group(isDefault = true, value = "default")
    public static final String[] DEFAULT = {"shortTouchEcommerceLuckyBag", "shortTouchEcommerceUg", "shortTouchEcommerceVoucher", "shortTouchActivityShell", "shortTouchTreasureBox"};
    public static final LynxCardPriority INSTANCE = new LynxCardPriority();

    public final String[] getDEFAULT() {
        return DEFAULT;
    }

    private final String[] getPriorityArray() {
        return SettingsManager.INSTANCE.getStringArrayValue(LynxCardPriority.class);
    }

    static {
        Covode.recordClassIndex(17897);
    }

    public final int getPriority(String str) {
        String[] priorityArray = getPriorityArray();
        if (TextUtils.isEmpty(str) || priorityArray.length == 0 || !LeY.LIZIZ(priorityArray, str)) {
            return Integer.MAX_VALUE;
        }
        return LeY.LIZJ(priorityArray, str);
    }
}
